## openldap 2.4.40+dfsg

=== debian/changelog ===
openldap (2.4.40+dfsg-1+deb8u11) jessie-security; urgency=high

  * Non-maintainer upload by the ELTS Team.
  * CVE-2022-29155
    Fix back-sql injection in filter values. (ITS#9815)

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 20 May 2022 21:03:02 +0200

openldap (2.4.40+dfsg-1+deb8u10) jessie-security; urgency=high

  * Team upload for ELTS.
  * Fix slapd assertion failure in Certificate List Exact
    Assertion validation. (ITS#9454) (CVE-2021-27212)

 -- Utkarsh Gupta <utkarsh@debian.org>  Mon, 15 Feb 2021 02:10:59 +0530

openldap (2.4.40+dfsg-1+deb8u9) jessie-security; urgency=high

  * Non-maintainer upload by the ELTS team.
  * Fix slapd crashes in Certificate Exact Assertion processing
    (ITS#9404, ITS#9424) (CVE-2020-36221)
  * Fix slapd assertion failures in saslAuthzTo validation
    (ITS#9406, ITS#9407) (CVE-2020-36222)
  * Fix slapd crash in Values Return Filter control handling
    (ITS#9408) (CVE-2020-36223)
  * Fix slapd crashes in saslAuthzTo processing (ITS#9409, ITS#9412, ITS#9413)
    (CVE-2020-36224, CVE-2020-36225, CVE-2020-36226)
  * Fix slapd assertion failure in X.509 DN parsing
    (ITS#9423) (CVE-2020-36230)
  * Fix slapd crash in X.509 DN parsing (ITS#9425) (CVE-2020-36229)
  * Fix slapd crash in Certificate List Exact Assertion processing
    (ITS#9427) (CVE-2020-36228)
  * Fix slapd infinite loop with Cancel operation (ITS#9428) (CVE-2020-36227)

 -- Utkarsh Gupta <utkarsh@debian.org>  Tue, 02 Feb 2021 18:23:54 +0530

openldap (2.4.40+dfsg-1+deb8u8) jessie-security; urgency=high

  * Non-maintainer upload by the ELTS team.
  * Fix slapd abort due to assertion failure in Certificate List syntax
    validation (ITS#9383) (CVE-2020-25709)
  * Fix slapd abort due to assertion failure in CSN normalization with invalid
    input (ITS#9384) (CVE-2020-25710)

 -- Utkarsh Gupta <utkarsh@debian.org>  Thu, 03 Dec 2020 22:13:32 +0530

openldap (2.4.40+dfsg-1+deb8u7) jessie-security; urgency=high

  * Non-maintainer upload by the ELTS team.
  * Fix slapd normalization handling with modrdn (ITS#9370)

 -- Utkarsh Gupta <utkarsh@debian.org>  Sat, 31 Oct 2020 12:55:03 +0530

openldap (2.4.40+dfsg-1+deb8u6) jessie-security; urgency=high

  * Fix slapd to limit depth of nested expressions in search filters
    (ITS#9202) (CVE-2020-12243)

 -- Ryan Tandy <ryan@nardis.ca>  Mon, 20 Apr 2020 11:22:35 -0700

openldap (2.4.40+dfsg-1+deb8u5) jessie-security; urgency=high

  * Fix slapd to restrict rootDN proxyauthz to its own databases
    (CVE-2019-13057) (ITS#9038) (Closes: #932997)
  * Fix slapd to enforce sasl_ssf ACL statement on every connection
    (CVE-2019-13565) (ITS#9052) (Closes: #932998)
  * Fix slapo-rwm to not free original filter when rewritten filter is invalid
    (ITS#8964) (Closes: #934277, LP: #1838370)

 -- Ryan Tandy <ryan@nardis.ca>  Sun, 11 Aug 2019 12:11:57 -0700

openldap (2.4.40+dfsg-1+deb8u4) jessie; urgency=medium

  * Fix upgrade failure when olcSuffix contains a backslash. (Closes: #864719)
  * Import upstream patches to fix memory corruption caused by calling 
    sasl_client_init() multiple times and possibly concurrently.
    (ITS#8648) (Closes: #860947)

 -- Ryan Tandy <ryan@nardis.ca>  Tue, 05 Jun 2018 20:16:25 -0700

openldap (2.4.40+dfsg-1+deb8u3) jessie-security; urgency=high

  * debian/patches/ITS-8655-paged-results-double-free.patch: Fix a double free 
    in the MDB backend on a search including the Paged Results control with a 
    page size of 0. (ITS#8655) (CVE-2017-9287) (Closes: #863563)

 -- Ryan Tandy <ryan@nardis.ca>  Sun, 28 May 2017 16:08:03 -0700

openldap (2.4.40+dfsg-1+deb8u2) jessie; urgency=medium

  * debian/patches/ITS8003-fix-off-by-one-in-LDIF-length.patch: Import
    upstream patch to fix a crash when adding a large attribute value with the
    auditlog overlay enabled. (Closes: #806909)

 -- Ryan Tandy <ryan@nardis.ca>  Sat, 12 Dec 2015 16:11:38 -0800

openldap (2.4.40+dfsg-1+deb8u1) jessie-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Add ITS8240-remove-obsolete-assert.patch patch.
    Import upstream patch to remove an unnecessary assert(0) that could be
    triggered remotely by an unauthenticated user by sending a malformed BER
    element. (CVE-2015-6908, Closes: #798622)

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 11 Sep 2015 10:30:43 +0200

openldap (2.4.40+dfsg-1) unstable; urgency=medium

  * Remove inetorgperson.schema from the upstream source. Replace it with a
    copy stripped of RFC text. (Closes: #780283)
  * Adjust debian/watch for +dfsg versioning.
  * debian/patches/ITS7975-fix-mdb-onelevel-search.patch: Import upstream
    patch to fix scope=onelevel searches wrongly including the search base in
    results under the MDB backend. (ITS#7975) (Closes: #782212)

 -- Ryan Tandy <ryan@nardis.ca>  Thu, 09 Apr 2015 08:38:38 -0700

openldap (2.4.40-4) unstable; urgency=medium

  * debian/patches/ITS8027-deref-reject-empty-attr-list.patch: Import upstream 
    patch to fix a crash when a search includes the Deref control with an 
    empty attribute list. (ITS#8027) (CVE-2015-1545, Closes: #776988)
  * debian/patches/ITS8046-fix-vrFilter_free-crash.patch: Import upstream 
    patch to fix a double free triggered by certain search queries using the 
    Matched Values control. (ITS#8046) (CVE-2015-1546, Closes: #776991)

 -- Ryan Tandy <ryan@nardis.ca>  Sun, 08 Feb 2015 20:19:11 +0000

openldap (2.4.40-3) unstable; urgency=medium

  * Remove trailing spaces from slapd.templates.
  * Update Vietnamese debconf translation.
    Thanks to Trần Ngọc Quân.
  * Update Danish debconf translation.
    Thanks to Joe Hansen. (Closes: #766848)
  * Update Japanese debconf translation.
    Thanks to Kenshi Muto. (Closes: #766824)
  * Update Russian debconf translation.
    Thanks to Yuri Kozlov. (Closes: #766825)
  * Update Basque translation.
    Thanks to Iñaki Larrañaga Murgoitio. (Closes: #767070)
  * Update French debconf translation.

